Skip to main content
POST
ListCrewProfilesByProposalID

Authorizations

Authorization
string
header
required

Personal API key, sent as Authorization: Bearer <key>.

Headers

Connect-Protocol-Version
number
required

Define the version of the Connect protocol

Example:

1

Connect-Timeout-Ms
number

Define the timeout, in ms

Example:

1000

Body

application/json

request to list crew profile candidates for a proposal

proposalId
string<uuid>

id of the proposal

page
string<int64> | null

page of results to return, one-based. defaults to the first page when not set

perPage
string<int64> | null

nr of items per page, defaults to 20 when not set

Response

Success

response containing crew profile candidates for a proposal

items
ProposalCrewProfile · object[]

enriched candidate assignments ordered by created_at ASC

totalFound
string<int64>

total number of candidates on the proposal

totalPages
string<int64>

total number of pages for all results

currentPage
string<int64>

current page in the results